import request from '@/utils/request'

export function saveOxygenates(id, data) {
  return request({
    url: '/api/manage/saveoxygenates?id=' + id,
    method: 'Post',
    data: data
  })
}

export function saveHardWater(id,data){
  return request({
    url:"/api/manage/savehardwater?id="+id,
    method:"Post",
    data:data
  })
}

export function saveWater(id,data){
  return request({
    url:"/api/manage/savewater?id="+id,
    method:"Post",
    data:data
  })
}

export function saveDevicePH(id,data){
  return request({
    url:"/api/manage/savedeviceph?id="+id,
    method:"Post",
    data:data,
  })
}

export function editOxygenates(id,params){
  
  return request({
    url:"/api/manage/editoxygenates?id="+id,
    method:"get",
    params:params
  })
}

export function UpdateOxygenates(data) {
    return request({
      url: '/api/manage/updateoxygenates',
      method: 'post',
      data: data
    })
}

export function editHardWater(id,params){
   return request({
      url:"/api/manage/edithardwater?id="+id,
      method:"Get",
      params:params
   })
}

export function editWater(id,params){
   return request({
     url:"/api/manage/editwater?id="+id,
     method:"get",
     params:params
   })
}

export function editDevicePh(id,params){
  return request({
    url:"/api/manage/editdeviceph?id="+id,
    method:"get",
    params:params
  })
}

export function getAllDoctorList(params){
   return request({
     url:"/api/manage/getalldoctlist",
     method:"get",
     params:params
   })
}

export function saveAirDisinfect(params){
    return request({
      url:"/api/manage/saveairdisinfect",
      method:"get",
      params:params
    })
}

export function getAirList(params){
    
    return request({
      url:"/api/manage/getairlist",
      method:"get",
      params:params
    })
}

export function getAirDisinfectDetail(id,params){
   
  return request({
    url:"/api/manage/getairdisinfctdetal?id="+id,
    method:"Get",
    params:params
  })
}

export function updateAirDisinfect(params){
  
  return request({
    url:"/api/manage/updateairdisinfect",
    method:"Get",
    params:params
  })
}

export function deleteAirDisinfect(id,params){
  
  return request({
    url:"/api/manage/deleteairdisinfect?id="+id,
    method:"get",
    params:params,
  })
}

export function saveBodyDisinfect(params){
   
  return request({
    url:"/api/manage/savebodydisinfect",
    method:"Get",
    params:params
  })
}

export function getBodyList(params){
  
  return request({
    url:"/api/manage/getbodylist",
    method:"get",
    params:params
  })
}

export function getBodyDisinfectDetail(id,params){
  
  return request({
    url:"/api/manage/getbodydisinfectdetal?id="+id,
    method:"Get",
    params:params
  })
}

export function updateBodyDisinfect(params){
  
  return request({
    url:"/api/manage/updatebodydisinfect",
    method:"get",
    params:params
  })
}

export function deleteBodyDisinfect(id,params){
  
  return request({
    url:"/api/manage/deletebodydisinfect?id="+id,
    method:"get",
    params:params
  })
}

export function UpdateHadWater(data){
  
  return request({
    url:"/api/manage/updatehadwater",
    method:"post",
    data:data,
  })
}

export function updateWater(data){

  return request({
    url:"/api/manage/updatewater",
    method:"post",
    data:data
  })
}

export function updateDevicePh(data){
  
  return request({
    url:"/api/manage/updatedeviceph",
    method:"post",
    data:data
  })
}

export function DeleteOxygenates(id,params){
   
  return request({
    url:"/api/manage/deleteoxygenates?id="+id,
    method:"get",
    params:params
  })
} 

export function DeleteHadWater(id,params){
  
  return request({
    url:"/api/manage/deletehadwater?id="+id,
    method:"get",
    params:params
  })
}

export function DeleteWater(id,params){
  
  return request({
    url:"/api/manage/deletewater?id="+id,
    method:"get",
    params:params
  })
}

export function DeleteDevicePh(id,params){
  
  return request({
    url:"/api/manage/deletedeviceph?id="+id,
    method:"Get",
    params:params
  })
}


export function saveNewAirDisinfect(data){
  
  return request({
    url:"/api/manage/savenewairdisinfect",
    method:"post",
    data:data,
  })
}

export function getNewAirDisinfectList(params){

  return request({
    url:"/api/manage/getnewairdisinfectlist",
    method:"get",
    params:params
  })
}

export function getNewAirDisinfectByIdList(id,params){
  
  return request({
    url:"/api/manage/getnewairdisinfectbyidlist?id="+id,
    method:"Get",
    params:params
  })
}

export function updateNewAirDisinfect(data){
  
  return request({
    url:"/api/manage/updatenewairdisinfect",
    method:"post",
    data:data,
  })
}

export function deleteNewAirDisInfect(id,params){
  
  return request({
    url:"/api/manage/deletenewairdisinfect?id="+id,
    method:"get",
    params:params
  })
}

export function saveObjectTableDisinfect(data){
  
  return request({
    url:"/api/manage/saveobjtabledisinfect",
    method:"post",
    data:data,
  })
}

export function getObjectTableDisInfectList(params){

  return request({
    url:"/api/manage/getobjcttabledisinfectlist",
    method:"Get",
    params:params,
  })
}

export function getObjectTableDisInfectByIdList(id,params){
  
  return request({
    url:"/api/manage/getobjecttabledisinfectbyidlist?id="+id,
    method:"Get",
    params:params,
  })
}

export function updateObjectTableDisinfect(data){

  return request({
    url:"/api/manage/updateobjecttabledisinfect",
    method:"post",
    data:data,
  })
}

export function deleteObjectTableDisinfect(id,params){

  return request({
    url:"/api/manage/deleteobjecttabledisinfect?id="+id,
    method:"get",
    params:params
  })
}

export function getAirDisinfectLongTime(storey,params){
  
  return request({
    url:"/api/manage/getairdisinfectionlongtime?storey="+storey,
    method:"get",
    params:params
  })
}

export function getObjectTableDisinfectLongTime(params){
  
  return request({
    url:"/api/manage/getobjcttabledisinfectlongtime",
    method:"get",
    params:params,
  })
}

export function saveObjectRegistration(data){
  
  return request({
    url:"/api/manage/saveobjectregistration",
    method:"post",
    data:data
  })
}

export function getRegistrationDisInfectList(params){
  return request({
    url:"/api/manage/getregistrationdisinfectlist",
    method:"get",
    params:params,
  })
}

export function getObjectRegistrationByIdList(id,params){
  return request({
    url:"/api/manage/getobjectregistrationbyidlist?id="+id,
    method:"Get",
    params:params
  })
}

export function UpdateObjectRegistration(data){
  return request({
    url:"/api/manage/updateobjectregistration",
    method:"post",
    data:data,
  })

}

export function deleteObjectRegistration(id,params){
  return request({
    url:"/api/manage/deleteobjectregistration?id="+id,
    method:"get",
    params:params
  })
}

export function getRegistGoodInforList(params){
  return request({
    url:"/api/manage/getregistgoodinforlist",
    method:"Get",
    params:params,
  })
}

export function getRegistNumber(id,record_date,params){
  
  return request({
    url:"/api/manage/getregistnumber?id="+id+"&record_date="+record_date,
    method:"Get",
    params:params,
  })
}

export function saveSetAirDisInfect(params){
 
  return request({
    url:"/api/manage/savesetairdisinfect",
    method:"Get",
    params:params,
  })
}

export function getSetAirDisInfectById(params){

   return request({
    url:"/api/manage/getsetairinfectbyid",
    method:"get",
    params:params
   })
}

export function saveNewAirWayDisinfect(data){

  return request({
    url:"/api/manage/savenewairwaydisinfect",
    method:"post",
    data:data,
  })
}

export function getNewAirWayDisinfectList(params){
  
  return request({
    url:"/api/manage/getnewairwaydisinfectlist",
    method:"get",
    params:params,
  })
}

export function getAirDisinfectWayLongTime(department,params){
 
  return request({
    url:"/api/manage/getairdisinfectwaylongtime?department="+department,
    method:"Get",
    params:params
  })
}

export function getNewAirWayDisinfectByIdList(id,params){

  return request({
    url:"/api/manage/getnewairwaydisinfectbyidlist?id="+id,
    method:"get",
    params:params
  })
}

export function updateNewAirWayDisinfect(data){
 
  return request({
    url:"/api/manage/updatenewairwaydisinfect",
    method:"post",
    data:data,
  })
}

export function deleteNewAirWayDisInfect(id,params){
 
  return request({
    url:"/api/manage/deletenewairwaydisinfect?id="+id,
    method:"get",
    params:params,
  })
}

export function setObjectDisinfect(params){
 
  return request({
    url:"/api/manage/setobjectdisinfect",
    method:"get",
    params:params,
  })
}

export function getObjectWayDisinfect(params){
 
  return request({
    url:"/api/manage/getobjectwaydisinfect",
    method:"get",
    params:params,
  })
}

export function saveObjectWayTableDisinfect(data){
 
  return request({
    url:"/api/manage/saveobjectwaytabledisinfect",
    method:"post",
    data:data,
  })
}

export function getObjectTableDisInfectWayList(params){
  
  return request({
    url:"/api/manage/getobjcettabledisinfectwaylist",
    method:"get",
    params:params,
  })
}

export function getObjectTableDisInfectWayByIdList(id,params){

   return request({
    url:"/api/manage/getobjecttabledisinfectwaybylist?id="+id,
    method:"get",
    params:params,
   })
}

export function updateObjectWayTableDisinfect(data){
 
  return request({
    url:"/api/manage/updateobjectwaytabledisinfect",
    method:"post",
    data:data,
  })
}

export function deleteObjectTableWayDisinfect(id,params){

  return request({
    url:"/api/manage/deleteobjecttablewaydisinfect?id="+id,
    method:"get",
    params:params,
  })
}