import request from '@/utils/request'
import url from 'postcss-url'

export function getCurrentPatient(params) {
  return request({
    url: '/api/drug/getcurrentpatient',
    methods: 'get',
    params: params
  })
}

export function getAllDrugName(params) {
  return request({
    url: '/api/drug/getalldrugname',
    methods: 'get',
    params: params
  })
}

export function saveDrugName(params) {
  return request({
    url: '/api/drug/savedrugname',
    methods: 'get',
    params: params
  })
}

export function getdrugNameList(params) {
  return request({
    url: '/api/drug/getdrugnamelist',
    methods: 'get',
    params: params
  })
}

export function getRulleName(params) {
  return request({
    url: '/api/drug/getrullename',
    methods: 'get',
    params: params
  })
}

export function getUnitByBaseId(params) {
  return request({
    url: '/api/drug/getunitbybaseid',
    methods: 'get',
    params: params
  })
}

export function saveRulleName(params) {
  return request({
    url: '/api/drug/saverullename',
    methods: 'get',
    params: params
  })
}

export function EditRullerName(params) {
  return request({
    url: '/api/drug/editrullername',
    methods: 'get',
    params: params
  })
}

export function updatedRulleName(params) {
  return request({
    url: '/api/drug/updatedrullername',
    methods: 'get',
    params: params
  })
}

export function getAllDrugNameList(params) {
  return request({
    url: '/api/drug/getalldrugnamelist',
    methods: 'Get',
    params: params
  })
}

export function getRullListByDrugName(params) {
  return request({
    url: '/api/drug/getrulllistbydrugname',
    methods: 'Get',
    params: params
  })
}

export function SaveSelfMedicines(data) {
  return request({
    url: '/api/drug/saveselfmedicines',
    method: 'post',
    data: data
  })
}

export function getCurrentOrgAllStaff(params) {
  return request({
    url: '/api/drug/getcurrentorgallstaff',
    methods: 'get',
    params: params
  })
}

export function saveStock(data, startime, adminuserid, patientid) {
  return request({
    url: '/api/drug/savestock?start_time=' + startime + '&admin_user_id=' + adminuserid + '&patient_id=' + patientid,
    method: 'post',
    data: data
  })
}

export function saveOutStock(data, startime, adminuserid, patientid) {
  return request({
    url: '/api/drug/saveoutstock?start_time=' + startime + '&admin_user_id=' + adminuserid + '&patient_id=' + patientid,
    method: 'post',
    data: data
  })
}

export function DeleteDrugById(params) {
  return request({
    url: '/api/drug/deletedrugbyid',
    method: 'get',
    params: params
  })
}

export function saveRadio(params) {
  return request({
    url: '/api/drug/saveradio',
    method: 'get',
    params: params
  })
}

export function DeleteDrugStand(id, name) {
  const params = {
    id: id,
    name: name
  }
  return request({
    url: '/api/drug/deletedrugstand',
    method: 'get',
    params: params
  })
}

export function getStockList(params) {
  return request({
    url: '/api/drug/getstocklist',
    method: 'get',
    params: params
  })
}

export function DeleteDrugName(params) {
  return request({
    url: '/api/drug/deletedrugname',
    method: 'get',
    params: params
  })
}

export function getDrugDetail(params) {
  return request({
    url: '/api/drug/getdrugdetail',
    method: 'get',
    params: params
  })
}

export function getAllPatientStockList(params) {
  return request({
    url: '/api/drug/getallpatientstocklist',
    method: 'get',
    params: params
  })
}

export function getDrugDataByPatientId(params) {
  return request({
    url: '/api/drug/getdrugdatabypatientid',
    method: 'get',
    params: params
  })
}

export function getSelfMedicalList(params) {
  return request({
    url: '/api/drug/getselfmedicallist',
    methods: 'get',
    params: params
  })
}

export function getDrugDescByDrugName(params) {
  return request({
    url: '/api/drug/getdrugdescbydrugname',
    methods: 'get',
    params: params
  })
}

export function getDrugSet(params) {
  return request({
    url: '/api/drug/getdrugset',
    methods: 'get',
    params: params
  })
}

export function getAllMedicalList(params) {
  return request({
    url: '/api/drug/getallmedicallist',
    methods: 'get',
    params: params
  })
}

export function getStandName(params) {
  return request({
    url: '/api/drug/getstandname',
    methods: 'get',
    params: params
  })
}

export function getRullerList(params) {
  return request({
    url: '/api/drug/getrullerlist',
    methods: 'get',
    params: params
  })
}

export function DeleteDrugNameById(params) {
  return request({
    url: '/api/drug/deleteDrugNamebyid',
    methods: 'get',
    params: params
  })
}

export function getPatientDetail(id, params) {
  return request({
    url: '/api/drug/getpatientdetail?id=' + id,
    methods: 'Get',
    params: params
  })
}

export function getSelfStockQuery(params) {
  return request({
    url: '/api/drug/getselfstockquery',
    methods: 'get',
    params: params
  })
}

export function postSearchDrugWarehouseList(params) {
  return request({
    url: '/api/drug/postsearchdrugwarehouselist',
    methods: 'get',
    params: params
  })
}

export function saveDrugPrice(data) {
  return request({
    url: '/api/drug/savedrugpriceone',
    method: 'post',
    data: data
  })
}

export function getDrugPriceList(params) {
  return request({
    url: '/api/drug/drugpricelist',
    methods: 'get',
    params: params
  })
}

export function SaveCheckedDrugPrice(params) {
  return request({
    url: '/api/drug/savecheckdrugprice',
    methods: 'get',
    params: params
  })
}

export function saveDrugDamage(data) {
  return request({
    url: '/api/drug/savedrugdamageone',
    method: 'post',
    data: data
  })
}

export function getDrugDamageList(params) {
  return request({
    url: '/api/drug/getdrugdamagelist',
    methods: 'get',
    params: params
  })
}

export function SaveDrugDamagePrice(params) {
  return request({
    url: '/api/drug/savedrugdamageprice',
    method: 'get',
    params: params
  })
}

export function getDrugModiftyPrice(id, params) {
  return request({
    url: '/api/drug/getdrugmodifyprice?id=' + id,
    method: 'Get',
    params: params
  })
}

export function modifyDrugPrice(params) {
  return request({
    url: '/api/drug/modifydrugprice',
    method: 'Get',
    params: params
  })
}

export function deleteDrugPrice(params) {
  return request({
    url: '/api/drug/deletedrugprice',
    method: 'Get',
    params: params
  })
}

export function getModifyPricePrint(params) {
  return request({
    url: '/api/drug/getmodifypriceprint',
    method: 'Get',
    params: params
  })
}

export function getDrugDamageDetail(id, params) {
  return request({
    url: '/api/drug/getdrugdamagedetail?id=' + id,
    method: 'Get',
    params: params
  })
}

export function modifyDrugDamage(params) {
  return request({
    url: '/api/drug/modifydrugdamage',
    method: 'get',
    params: params
  })
}

export function deleteDrugDamage(params) {
  return request({
    url: '/api/drug/deletedrugdamage',
    method: 'Get',
    params: params
  })
}

export function getDrugDamagePrint(params) {
  return request({
    url: '/api/drug/getdrugdamageprint',
    method: 'get',
    params: params
  })
}

export function getDrugWarehouseInfoList(params) {
  return request({
    url: '/api/drug/warehouseinfobyid',
    method: 'Get',
    params: params
  })
}

export function saveDrugInventory(data) {
  return request({
    url: '/api/drug/savedruginventory',
    method: 'post',
    data: data
  })
}

export function getDrugInventoryList(params) {
  return request({
    url: '/api/drug/getdruginventorylist',
    methods: 'get',
    params: params
  })
}

export function SaveDrugCheckedInventory(params) {
  return request({
    url: '/api/drug/savedrugcheckinventory',
    method: 'get',
    params: params
  })
}

export function getDrugInventoryDetail(id, params) {
  return request({
    url: '/api/drug/getdruginventorydetail?id=' + id,
    method: 'Get',
    params: params
  })
}

export function modifyInventory(params) {
  return request({
    url: '/api/drug/modifyinventory',
    method: 'Get',
    params: params
  })
}

export function deleteDrugInventory(id, params) {
  return request({
    url: '/api/drug/deletedruginventory?id=' + id,
    method: 'get',
    params: params
  })
}

export function getDrugInventoryPrintList(params) {
  return request({
    url: '/api/drug/getdruginventoryprintlist',
    method: 'get',
    params: params
  })
}

export function getInventoryDetailList(params) {
  return request({
    url: '/api/drug/getinventorydetaillist',
    method: 'Get',
    params: params
  })
}

export function getInventoryDetailPrintList(params) {
  return request({
    url: '/api/drug/getinventorydetailprintlist',
    method: 'Get',
    params: params
  })
}

export function SaveDrugProofInventory(params) {
  return request({
    url: '/api/drug/savedrugproofinventory',
    method: 'Get',
    params: params
  })
}

export function getDrugWarehouseInfoTotal(params) {
  return request({
    url: '/api/drug/getdrugwarehouseinfototal',
    method: 'Get',
    params: params
  })
}

export function saveInentoryList(data) {
  return request({
    url: '/api/drug/saveinentorylist',
    method: 'post',
    data: data
  })
}

export function getDamagedByDrugId(params) {
  return request({
    url: '/api/drug/getdamagebydrugid',
    method: 'get',
    params: params
  })
}

export function getInventoryModeList(params) {
  return request({
    url: '/api/drug/getinventorymodelist',
    method: 'get',
    params: params
  })
}

export function getStorehouseList(params) {
  return request({
    url: '/api/drug/getstorehouselist',
    method: 'get',
    params: params
  })
}

export function getGoodNewQuery(params) {
  return request({
    url: '/api/drug/getgoodnewquery',
    method: 'get',
    params: params
  })
}

export function getGoodWarehouseOutInfoById(params) {
  return request({
    url: '/api/drug/getgoodwarehouseoutinfobyid',
    method: 'get',
    params: params
  })
}

export function getGoodPatientList(params) {
  return request({
    url: '/api/good/getgoodpatientlist',
    method: 'get',
    params: params
  })
}

export function getWarehouseOutDetailByPatientId(params) {
  return request({
    url: '/api/good/getwarehouseoutdetailbypatientid',
    method: 'Get',
    params: params
  })
}

export function getGoodExpiryDateQuery(params) {
  return request({
    url: '/api/good/getgoodexpirydatequery',
    method: 'Get',
    params: params
  })
}

export function getPurchaseStockQuery(params) {
  return request({
    url: '/api/good/getpurchasestockquery',
    method: 'Get',
    params: params
  })
}

export function getDrugWarehouseOutDetailByPatientId(params) {
  return request({
    url: '/api/good/getdrugwarehouseoutdetailbypatientid',
    method: 'get',
    params: params
  })
}

export function getDrugExpiryDateQuery(params) {
  return request({
    url: '/api/drug/getdrugexpirydatequery',
    method: 'get',
    params: params
  })
}

export function getPurchaseDrugQuery(params) {
  return request({
    url: '/api/drug/getpurchasedrugquery',
    method: 'get',
    params: params
  })
}

export function getDrugNewQuery(params) {
  return request({
    url: '/api/drug/getdrugnewquery',
    method: 'get',
    params: params
  })
}

export function getDrugWarehouseOutInfoById(params) {
  return request({
    url: '/api/drug/getdrugwarehouseoutinfobyid',
    method: 'get',
    params: params
  })
}

export function toSendGoodInfomation(params) {
  return request({
    url: '/api/stock/tosendgoodinfomation',
    method: 'get',
    params: params
  })
}

export function getNewPurchaseStockQuery(params) {
  return request({
    url: '/api/stock/getnewpurchasestockquery',
    method: 'Get',
    params: params
  })
}

export function getPurchaseNewDrugQuery(params) {
  return request({
    url: '/api/stock/getpurchasenewdrugquery',
    method: 'get',
    params: params
  })
}

export function getPurchaseDrugQueryList(params){
  
  return request({
    url:"/api/stock/getpurchaseDrugQueryList",
    method:"get",
    params:params,
  })
}

export function getGoodOverCount(params) {
  return request({
    url: '/api/stock/getgoodovercount',
    method: 'get',
    params: params

  })
}
export function getDrugOverCount(params) {
  return request({
    url: '/api/stock/getdrugovercount',
    method: 'Get',
    params: params
  })
}

export function getDrugInventoryWarehouseInfoList(params) {
  return request({
    url: '/api/stock/getdruginfolist',
    method: 'Get',
    params: params
  })
}


export function getPurchaseStockQueryList(params){
  
  return request({
    url:"/api/stock/getpurchasestockquerylist",
    method:"Get",
    params:params,
  })
}

export function getCheckGoodBatchList(id,params){
  
  return request({
    url:"/api/good/getcheckgoodbatchlist?id="+id,
    method:"get",
    params:params,
  })
}


export function getAllSelfDrugInfoList(params){

  return request({
    url:"/api/drug/getallselfdruginfolist",
    method:"get",
    params:params,
  })
}

export function getallPatientList(params){

  return request({
    url:"/api/drug/getallpatientlist",
    method:"Get",
    params:params
  })
}

export function postSearchSelfDrugList(keyword,params){

  return request({
    url:"/api/drug/postsearchselfdruglist?keyword="+keyword,
    method:"get",
    params:params
  })
}

export function postSelfDrugWarehouse(data,patient_id,warehousing_time,warehousing_id){
  
  return request({
    url:"/api/drug/postselfdrugwarehouse?patient_id="+patient_id+"&warehousing_time="+warehousing_time+"&warehousing_id="+warehousing_id,
    method:"post",
    data:data
  })
}

export function getAllSelfDrugWarehouseInfoList(params){

  return request({
    url:"/api/drug/getallselfdrugwarehosueinfolist",
    method:"get",
    params:params
  })
}

export function getSelfDrugWarehouseInfoById(id,params){

  return request({
    url:"/api/drug/getselfdrugwarehouseinfobyid?id="+id,
    method:"Get",
    params:params
  })
}

export function ModifySelfDrugWarehouse(data,patient_id,warehousing_time,warehousing_id){
 
  return request({
    url:"/api/drug/modifyselfdrugwarehouse?patient_id="+patient_id+"&warehousing_time="+warehousing_time+"&warehousing_id="+warehousing_id,
    method:"post",
    data:data,
  })

}

export function deleteSelfWarehouseInfo(id,params){
  
  return request({
    url:"/api/drug/deleteselfwarehouseinfo?id="+id,
    method:"get",
    params:params,
  })
}

export function deleteSelfWarehouse(id,params){
 
  return request({
    url:"/api/drug/deleteselfwarehouse?id="+id,
    method:"Get",
    params:params
  })
}

export function toCheckSelfWarehousingInfo(params){
 
  return request({
    url:"/api/drug/tocheckselfwarehouseinginfo",
    method:"get",
    params:params,
  })
}


export function postSelfDrugOutInfoWarehouse(){
  
  return request({
    url:"/api/drug/postselfdrugwarehouse",
    method:"Get",
    params:params,
  })
}

export function getSelfDrugBatchNumber(params){

  return request({
    url:"/api/drug/getselfdrugbatchnumber",
    method:"get",
    params:params
  })
}

export function postSelfDrugWarehouseOut(params, warehousing_time, dealer_id, manufacturer_id, type, patient_id, warehouse_out_id){

   return request({
    url:"/api/drug/postsetfdrugwarehouseout?warehousing_out_time="+warehousing_time+ '&dealer_id=' + dealer_id + '&manufacturer_id=' + manufacturer_id + '&type=' + type + '&patient_id=' + patient_id + '&warehouse_out_id=' + warehouse_out_id,
    method:"post",
    data:params,
   })
}

export function getAllSelfDrugWarehouseOutList(params){
 
  return request({
    url:"/api/drug/getallselfdrugwarehouseoutlist",
    method:"get",
    params:params
  })
}

export function deleteSelfWarehouseOut(id,params){

  return request({
    url:"/api/drug/deleteselfwarehouseout?id="+id,
    method:"get",
    params:params
  })
}

export function getSelfDrugWarehouseOutById(id,params){
  
  return request({
    url:"/api/drug/getselfdrugwarehouseoutbyid?id="+id,
    method:"get",
    params:params
  })
}

export function modifySelfDrugWarehouseOut(params, warehousing_time, dealer_id, manufacturer_id, type, patient_id, warehouse_out_id){

  return request({
    url:"/api/drug/modifyselfdrugwarehouseout?warehousing_out_time="+warehousing_time+ '&dealer_id=' + dealer_id + '&manufacturer_id=' + manufacturer_id + '&type=' + type + '&patient_id=' + patient_id + '&warehouse_out_id=' + warehouse_out_id,
    method:"post",
    data:params,
   })
}

export function getSelfDrugQuery(params){
  
  return request({
    url:"/api/drug/getselfdrugquery",
    method:"get",
    params:params
  })
}

export function checkSelfOutDrugQuery(params){
  
  return request({
    url:"/api/drug/checkselfdrugoutquery",
    method:"Get",
    params:params
  })
}

export function returnCheckSelfOutDrugQuery(params){
  
   return request({
    url:"/api/drug/returncheckselfoutdrugquery",
    method:"get",
    params:params,
   })
}

export function returnSelfCheckWarehouse(params){
 
  return request({
    url:"/api/drug/returnselfcheckwarehouse",
    method:"get",
    params:params,
  })
}

export function getSelfDrugFlow(params){
  return request({
    url:"/api/drug/getselfdrugflow",
    method:"Get",
    params:params,
  })
}

export function getSelfDrugBatchNumberList(params){
 
  return request({
    url:"/api/drug/getselfdrugbatchnumberlist",
    method:"Get",
    params:params
  })
}

export function getAllSelfDrugWarehouse(params){
  
  return request({
    url:"/api/drug/getallselfdrugwarehouse",
    method:"get",
    params:params,
  })
}

export function getAllSelfDrugWarehouseOut(params){
  
  return request({
    url:"/api/drug/getallselfdrugwarehouseout",
    method:"Get",
    params:params,
  })
}

export function deleteSelfWarehouseOutList(id,params){

  return request({
    url:"/api/drug/deleteselfwarehouseoutlist?id="+id,
    method:"Get",
    params:params
  })
}

export function getSelfDrugWarehouseOutDetailByPatientId(params){
  
  return request({
    url:"/api/drug/getselfDrugwarehouseoutdetailbypatientid",
    method:"Get",
    params:params,
  })
}

export function getDrugInventoryRecordList(params){

  return request({
    url:"/api/drug/getdruginventoryrecordlist",
    method:"get",
    params:params
  })
}

export function getInventoryRecordPrintList(params){

  return request({
    url:"/api/drug/getdruginventoryrecordprintlist",
    method:"Get",
    params:params,
  })
}