import request from "@/utils/request";


export function saveProject(params){

  return request({
    url:"/api/his/saveproject",
    methods:"get",
    params:params,
  })
}


export function getProjectList(params){

  return request({
    url:"/api/his/getprojectlist",
    methods:"get",
    params:params
  })
}

export function getProjectDetail(id,params){

  return request({
    url:"/api/his/getprojectdetail?id="+id,
    methods:"get",
    params:params
  })
}

export function updatedProject(params){

  return request({
    url:"/api/his/updatedproject",
    methods:"get",
    params:params
  })
}

export function deleteHisProject(id,params){

  return request({
    url:"/api/his/deletehisproject?id="+id,
    methods:"get",
    params:params
  })
}

// export function saveProjectTeam(params,data){
//   return request({
//     url:"/api/his/saveprojectteam",
//     methods:"DELETE",
//     data:data,
//     params:params,
//   })
// }

export function getProjectTeamList(params){

  return request({
    url:"/api/his/getprojectteamlist",
    methods:"get",
    params:params
  })
}

export function getProjectTeamDetail(id,params){

  return request({
    url:"/api/his/getprojectteamdetail?id="+id,
    methods:"get",
    params:params
  })
}

export function updatedProjectTeam(params){

  return request({
    url:"/api/his/updateprojectteam",
    methods:"get",
    params:params
  })
}

export function DeleteProjectTeam(id,params){

  return request({
    url:"/api/his/deleteprojectteam?id="+id,
    methods:"get",
    params:params
  })
}

export function SaveDepartment(params){

  return request({
    url:"/api/his/savedepartment",
    methods:"get",
    params:params
  })
}

export function getDePartmentList(params){

  return request({
    url:"/api/his/getdepartmentlist",
    methods:"Get",
    params:params
  })
}

export function getDepartMentDetail(id,params){

  return request({
    url:"/api/his/getdepartmentdetail?id="+id,
    methods:"get",
    params:params
  })
}

export function UpdatedDepartment(params){

  return request({
    url:"/api/his/updagtedepartment",
    methods:"get",
    params:params
  })
}

export function DeleteDepartment(id,params){
  return request({
    url:"/api/his/deletedeparment?id="+id,
    methods:"get",
    params:params
  })
}


export function getPatientList(params){
  return request({
    url:"/api/his/getbloodpatient",
    methods:"get",
    params:params
  })
}

export function getHisPrescription(id,params){

  return request({
    url:"/api/his/gethisprescription?id="+id,
    methods:"get",
    params:params
  })
}

export function saveCharges(data){

  return request({
    url:"/api/his/additionalcharge",
    method:"post",
    data:data
  })
}


export function getAllProjectList(params){
  return request({
    url:"/api/his/getallprojectlist",
    methods:"get",
    params:params
  })
}

export function addProjectList(params){

  return request({
    url:"/api/his/addprojectlist",
    methods:"get",
    params:params
  })
}

export function getPatientInformation(id,params){

  return request({
    url:"/api/his/getpatientinformation?id="+id,
    methods:"Get",
    params:params
  })
}

export function DeleteProject(id,params){

  return request({
    url:"/api/his/deleteproject?id="+id,
    methods:"Get",
    params:params
  })
}


export function getHisProject(params){

  return request({
    url:"/api/his/gethisproject",
    methods:"get",
    params:params
  })
}

export function addProjectTeam(params){

  return request({
    url:"/api/his/getprojectteam",
    methods:"Get",
    params:params
  })
}

export function getAllDoctorList(params){

  return request({
    url:"/api/his/getalldoctorlist",
    methods:"Get",
    params:params
  })
}

export function saveHisPatient(params){

  return request({
    url:"/api/register/get",
    methods:"get",
    params:params
  })
}

export function getAllProjectTeam(params){

  return request({
    url:"/api/hist/getallprojecteam",
    methods:"get",
    params:params
  })
}

export function getPojectListById(params){

  return request({
    url:"/api/his/getprojectlistbyid",
    methods:"get",
    params:params
  })
}

export function getHisPatientHistory(params){

  return request({
    url:"/api/his/gethispatienthistory",
    methods:"get",
    params:params
  })
}


export function changePatient(id,params){

  return request({
    url:"/api/patient/changepatient?id="+id,
    method:"get",
    params:params
  })
}


export function getPatientCaseHistory(params){

  return request({
    url:"/api/patient/getpatientcasehistory",
    method:"get",
    params:params
  })
}

export function SaveHisPatientCaseHistoryTemplate(params){

  return request({
    url:"/api/doctorworkstation/casehistorytemplate/create",
    method:"get",
    params:params
  })
}

export function getHistoryTemplate(params){

  return request({
    url:"/api/doctorworkstation/casehistorytemplate/get",
    method:"get",
    params:params
  })
}

export function getTemplateDetail(id,params){

  return request({
    url:"/api/doctorworkstation/gettemplatedetail?id="+id,
    method:"get",
    params:params
  })
}

export function updateRecordTemplate(params){

  return request({
    url:"/api/doctorworkstation/updaterecordtemplate",
    method:"get",
    params:params
  })
}

export function getHisPatient(params){

  return request({
    url:"/api/hispatient/gehispatient",
    method:"get",
    params:params
  })
}

export function postPrintHisTemplate(params){

  return request({
    url:"/api/hispatient/postprinthistemplate",
    method:"get",
    params:params
  })
}

export function getHisPrintTemplate(params){

  return request({
    url:"/api/gethisprinttemplate",
    method:"get",
    params:params
  })
}

export function postPrescriptionPrintTemplate(params){

  return request({
    url:"/api/hispatient/postprescriptiontemplate",
    method:"Get",
    params:params
  })
}

export function getPrescriptionTemplate(params){

  return request({
    url:"/api/hispatient/getprescriptiontemplate",
    method:"Get",
    params:params
  })
}

export function postTreatPrintTemplate(params){

  return request({
    url:"/api/hispatient/posttreatprinttemplate",
    method:"get",
    params:params
  })
}

export function getTreatPrintTemplate(params){

  return request({
    url:"/api/hispatient/gettreatprinttemplate",
    method:"Get",
    params:params
  })
}

export function postChargePrintTemplate(params){

  return request({
    url:"/api/hispatient/postchargeprinttemplate",
    method:"get",
    params:params
  })
}

export function getChargePrintTemplate(params){

  return request({
    url:"/api/hispatient/getchargeprinttemplate",
    method:"get",
    params:params
  })
}

export function getAllHisPatientList(params){

  return request({
    url:"/api/hispatient/getallhispatient",
    method:"get",
    params:params
  })
}

export function getPrescriptionPrint(params){

  return request({
    url:"/api/hispatient/getprescriptionprint",
    method:"get",
    params:params
  })
}

export function getChargePrint(params){

  return request({
    url:"/api/hispatient/getchargeprint",
    method:"get",
    params:params
  })
}

export function getTodaySchedulePatient(params){

  return request({
    url:"/api/hispatient/gettodayschedulepatient",
    method:"get",
    params:params
  })
}

export function getHisPatientDetail(params){
  console.log("params99999",params);
  return request({
    url:"/api/hispatient/gethispatientdetail",
    method:"Get",
    params:params
  })
}

export function getAllDePartmentList(params){

  return request({
    url:"/api/hispatient/getalldepartmentlist",
    method:"Get",
    params:params
  })
}

export function getPrescriptionList(id,p_type,record_date){

  return request({
    url:"/api/hispatient/getprescription?patient_id="+id+"&p_type="+p_type+"&record_date="+record_date,
    method:"Get",
  })
}

export function getPatientDetail(id,params){

  return request({
    url:"/api/histpatient/getpatientdetail?id="+id,
    method:"Get",
    params:params
  })
}

export function saveMainTemplate(params){

  return request({
    url:"/api/hispatient/savemaintemplate",
    method:"Get",
    params:params
  })
}

export function getMedicalTemplateList(params){

  return request({
    url:"/api/hispatient/getmedicaltemplatelist",
    method:"Get",
    params:params
  })
}

export function getMainTemplateById(id,params){

  return request({
    url:"/api/hispatient/getmaintemplatebyid?id="+id,
    method:"get",
    params:params
  })
}

export function UpdateMainTemplate(params){

  return request({
    url:"/api/hispatient/updatemaintemplate",
    method:"get",
    params:params
  })
}

export function deleteMainTemplate(id,params){

  return request({
    url:"/api/hispatient/deletemaintemplate?id="+id,
    method:"Get",
    params:params
  })
}

export function getUnRegisterHisPatientList (params) {
  return request({
    url: '/api/unregister/list',
    method: 'get',
    params:params,
  })
}


export function postProjectInformation(params){

  return request({
    url:"/api/postprojectinformation",
    method:"post",
    data:params
  })
}

export function getInvoice(params){
  return request({
    url:"/api/fapiao/get",
    method:"get",
    params:params
  })
}

export function getAllGoodInfoList(params){

  return request({
    url:"/api/getallgoodinforlist",
    method:"Get",
    params:params
  })
}


export function saveGoodList(params,data){
  
  return request({
    url:"/api/savegoodlist",
    method:"post",
    params:params,
    data:data,
   
  })
}

export function getGoodList(params){
 
  return request({
    url:"/api/getgoodlist",
    method:"get",
    params:params,
  })
}


export function getGoodNameDetail(id,params){
  
  return request({
    url:"/api/getgoodnamedetail?id="+id,
    method:"get",
    params:params
  })
}

export function updateGoodList(params,data){

  return request({
    url:"/api/updategoodlist",
    method:"post",
    params:params,
    data:data,
   
  })
}

export function DeleteGoodTeam(id,params){
 
  return  request({
    url:"/api/deletegoodteam?id="+id,
    method:"Get",
    params:params
  })
}

export function DeleteGood(id,params){
 
  return request({
    url:"/api/deletegood?id="+id,
    method:"get",
    params:params
  })
}