import Layout from '@/views/layout/Layout'

export default {
  path: '/Dialysisanalysis',
  component: Layout,
  // component: () => import('@/xt_pages/Dialysisanalysis/otherIndicators/index'),

  redirect: '/Dialysisanalysis/qualitycontrol/thyroidGland',
  name: 'Dialysisanalysis',
  alwaysShow: true,
  meta: {
    // title: '专业质控',
    title:'Dialysisanalysis',
    icon: 'statistics'
  },
  children: [
    {
      path: '/Dialysisanalysis/qualitycontrol/otherIndicators',
      component: () => import('@/xt_pages/Dialysisanalysis/otherIndicators/index'),
      name: 'otherIndicators',
      meta: {
        title: '检验分析',
        noCache: true
      }
    },
    {//新专业质控
      path: '/Dialysisanalysis/qualitycontrol/new_otherIndicators',
      component: () => import('@/xt_pages/Dialysisanalysis/new_otherIndicators/index'),
      name: 'new_otherIndicators',
      meta: {
        title: '透析分析',
        noCache: true
      }
    },
    {//体重血压质控
      path: '/Dialysisanalysis/qualitycontrol/weightblood',
      component: () => import('@/xt_pages/Dialysisanalysis/weightblood/index'),
      name: 'weightblood',
      meta: {
        title: '体重血压分析',
        noCache: true
      }
    },

    {//透析总量分析
      path: '/Dialysisanalysis/qualitycontrol/new_otherIndicators/Total_analysis',
      component: () => import('@/xt_pages/Dialysisanalysis/new_otherIndicators/components/Total_analysis'),
      name: 'otherIndicators',
      meta: {
        title: '透析总量分析',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//透析总量详情
      path: '/Dialysisanalysis/qualitycontrol/new_otherIndicators/Total_table',
      component: () => import('@/xt_pages/Dialysisanalysis/new_otherIndicators/components/Total_table'),
      name: 'otherIndicators',
      meta: {
        title: '透析总量详情',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//抗凝剂
      path: '/Dialysisanalysis/qualitycontrol/new_otherIndicators/anticoagulant',
      component: () => import('@/xt_pages/Dialysisanalysis/new_otherIndicators/components/anticoagulant'),
      name: 'otherIndicators',
      meta: {
        title: '抗凝剂类型统计',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//透析器
      path: '/Dialysisanalysis/qualitycontrol/new_otherIndicators/dialyzer',
      component: () => import('@/xt_pages/Dialysisanalysis/new_otherIndicators/components/dialyzer'),
      name: 'otherIndicators',
      meta: {
        title: '透析器统计',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//透析完成率
      path: '/Dialysisanalysis/qualitycontrol/new_otherIndicators/complete',
      component: () => import('@/xt_pages/Dialysisanalysis/new_otherIndicators/components/complete'),
      name: 'otherIndicators',
      meta: {
        title: '透析完成率',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },

    // 体重血压
    {//干体重分析
      path: '/Dialysisanalysis/qualitycontrol/weightblood/dry_weight',
      component: () => import('@/xt_pages/Dialysisanalysis/weightblood/components/dry_weight'),
      name: 'dry_weight',
      meta: {
        title: '患者干体重分析',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//上次透析分母
      path: '/Dialysisanalysis/qualitycontrol/weightblood/list_denominator',
      component: () => import('@/xt_pages/Dialysisanalysis/weightblood/components/list_denominator'),
      name: 'list_denominator',
      meta: {
        title: '患者体重增长分析(以上次透后体重为分母)',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//干体重分母
      path: '/Dialysisanalysis/qualitycontrol/weightblood/dry_denominator',
      component: () => import('@/xt_pages/Dialysisanalysis/weightblood/components/dry_denominator'),
      name: 'dry_denominator',
      meta: {
        title: '患者体重增长分析(以干体重为分母)',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//患者透后体重分析
      path: '/Dialysisanalysis/qualitycontrol/weightblood/dialyze_after',
      component: () => import('@/xt_pages/Dialysisanalysis/weightblood/components/dialyze_after'),
      name: 'dialyze_after',
      meta: {
        title: '患者透后体重分析',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//患者体重详情
      path: '/Dialysisanalysis/qualitycontrol/weightblood/weight_table',
      component: () => import('@/xt_pages/Dialysisanalysis/weightblood/components/weight_table'),
      name: 'weight_table',
      meta: {
        title: '患者体重详情',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//透前血压分析
      path: '/Dialysisanalysis/qualitycontrol/weightblood/before_Blood',
      component: () => import('@/xt_pages/Dialysisanalysis/weightblood/components/before_Blood'),
      name: 'before_Blood',
      meta: {
        title: '透前血压分析',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//透前血压分析
      path: '/Dialysisanalysis/qualitycontrol/weightblood/after_Blood',
      component: () => import('@/xt_pages/Dialysisanalysis/weightblood/components/after_Blood'),
      name: 'after_Blood',
      meta: {
        title: '透后血压分析',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },
    {//患者血压详情
      path: '/Dialysisanalysis/qualitycontrol/weightblood/blood_table',
      component: () => import('@/xt_pages/Dialysisanalysis/weightblood/components/blood_table'),
      name: 'blood_table',
      meta: {
        title: '透后血压分析',
        noCache: true
      },
      hidden: true,
      is_menu: false
    },



    {
      path: '/Dialysisanalysis/qualitycontrol/Indicatorsdetail',
      component: () => import('@/xt_pages/Dialysisanalysis/otherIndicators/otherIndicators'),
      name: 'otherIndicators_two',
      hidden: true,
      is_menu: false,
      meta: {
        title: '',
        noCache: true
      }
    },
    // {
    //   path: '/Dialysisanalysis/qualitycontrol/thyroidGland',
    //   component: () => import('@/xt_pages/Dialysisanalysis/qualitycontrol/thyroidGland'),
    //   name: 'thyroidGland',
    //   meta: {
    //     title: '甲状旁腺激素分析',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/qualitycontrol/hemoglobin',
    //   component: () => import('@/xt_pages/Dialysisanalysis/hemoglobin/index'),
    //   name: 'thyroidGland',
    //   meta: {
    //     title: '血红蛋白',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/qualitycontrol/bloodPotassium',
    //   component: () => import('@/xt_pages/Dialysisanalysis/bloodPotassium/index'),
    //   name: 'thyroidGland',
    //   meta: {
    //     title: '血钾',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/qualitycontrol/albumin',
    //   component: () => import('@/xt_pages/Dialysisanalysis/albumin/index'),
    //   name: 'thyroidGland',
    //   meta: {
    //     title: '白蛋白',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/qualitycontrol/bloodPhosphorus',
    //   component: () => import('@/xt_pages/Dialysisanalysis/bloodPhosphorus/index'),
    //   name: 'thyroidGland',
    //   meta: {
    //     title: '血磷',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/qualitycontrol/calcium',
    //   component: () => import('@/xt_pages/Dialysisanalysis/calcium/index'),
    //   name: 'thyroidGland',
    //   meta: {
    //     title: '钙',
    //     noCache: true
    //   }},
    {
      path: '/Dialysisanalysis/qualitycontrol/platelets',
      component: () => import('@/xt_pages/Dialysisanalysis/platelets/index'),
      name: 'thyroidGland',
      hidden: true,
      is_menu: false,
      meta: {
        title: 'KTV/URR',
        noCache: true
      }
    },
    {
      path: '/Dialysisanalysis/qualitycontrol/summary',
      component: () => import('@/xt_pages/Dialysisanalysis/summary/index'),
      name: 'index_summary',
      hidden: true,
      is_menu: false,
      meta: {
        title: '指标汇总',
        noCache: true
      }
    },
    {
      path: '/Dialysisanalysis/qualitycontrol/print',
      component: () => import('@/xt_pages/Dialysisanalysis/print/print'),
      name: 'print',
      hidden: true,
      is_menu: false,
      meta: {
        title: 'print',
        noCache: true
      }
    },
    // 新
    {
      path: '/Dialysisanalysis/qualitycontrol/otherIndicators/components/columnarTotal',
      component: () => import('@/xt_pages/Dialysisanalysis/otherIndicators/components/columnarTotal'),
      name: 'print',
      hidden: true,
      is_menu: false,
      meta: {
        title: 'print',
        noCache: true
      }
    },
    {
      path: '/Dialysisanalysis/qualitycontrol/otherIndicators/components/CakeshapeTotal',
      component: () => import('@/xt_pages/Dialysisanalysis/otherIndicators/components/CakeshapeTotal'),
      name: 'print',
      hidden: true,
      is_menu: false,
      meta: {
        title: 'print',
        noCache: true
      }
    },
    {
      path: '/Dialysisanalysis/qualitycontrol/otherIndicators/components/tableTotal',
      component: () => import('@/xt_pages/Dialysisanalysis/otherIndicators/components/tableTotal'),
      name: 'print',
      hidden: true,
      is_menu: false,
      meta: {
        title: 'print',
        noCache: true
      }
    },


    // {
    //   path: '/Dialysisanalysis/hemoglobin',
    //   component: () => import('@/xt_pages/Dialysisanalysis/hemoglobin/index'),
    //   name: 'index',
    //   meta: {
    //     title: '血红蛋白',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/bloodPotassium',
    //   component: () => import('@/xt_pages/Dialysisanalysis/bloodPotassium/index'),
    //   name: 'index',
    //   meta: {
    //     title: '血钾',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/albumin',
    //   component: () => import('@/xt_pages/Dialysisanalysis/albumin/index'),
    //   name: 'index',
    //   meta: {
    //     title: '白蛋白',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/bloodPhosphorus',
    //   component: () => import('@/xt_pages/Dialysisanalysis/bloodPhosphorus/index'),
    //   name: 'index',
    //   meta: {
    //     title: '血磷',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/calcium',
    //   component: () => import('@/xt_pages/Dialysisanalysis/calcium/index'),
    //   name: 'index',
    //   meta: {
    //     title: '钙',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/platelets',
    //   component: () => import('@/xt_pages/Dialysisanalysis/platelets/index'),
    //   name: 'index',
    //   meta: {
    //     title: '血小板',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/otherIndicators',
    //   component: () => import('@/xt_pages/Dialysisanalysis/otherIndicators/index'),
    //   name: 'index',
    //   meta: {
    //     title: '其他指标',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/nonnumerical',
    //   component: () => import('@/xt_pages/Dialysisanalysis/nonnumerical'),
    //   name: 'nonnumerical',
    //   meta: {
    //     title: '非数值类的列表展示',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/dialysis_index',
    //   component: () => import('@/xt_pages/Dialysisanalysis/dialysis_index'),
    //   name: 'dialysis_index',
    //   meta: {
    //     title: '透析指标详情',
    //     noCache: true
    //   }
    // },


  ]
}



