import Layout from '@/views/layout/Layout'

export default {
  path: '/outpatientCharges',
  component: Layout,
  redirect: 'noredirect',
  name: 'outpatientCharges',
  alwaysShow: true,
  meta: {
    title: 'outpatientCharges',
    icon: 'outpatientCharges',
    isChild: true
  },
  children: [
    {
        path: '/outpatientCharges/outpatientChargesManagement',
        component: () => import('@/xt_pages/outpatientCharges/outpatientChargesManagement'),
        name: 'outpatientChargesManagement',
        meta: { title: 'outpatientChargesManagement', noCache: true }
    },
    {
        path: '/outpatientCharges/outpatientInvoice',
        component: () => import('@/xt_pages/outpatientCharges/outpatientInvoice'),
        name: 'outpatientInvoice',
        meta: { title: 'outpatientInvoice', noCache: true }
    },
    {
        path: '/outpatientCharges/advancePayment',
        component: () => import('@/xt_pages/outpatientCharges/advancePayment'),
        name: 'advancePayment',
        meta: { title: 'advancePayment', noCache: true }
    },
    {
        path: '/outpatientCharges/labelPrinting',
        component: () => import('@/xt_pages/outpatientCharges/labelPrinting'),
        name: 'OutpatientChargesLabelPrinting',
        meta: { title: 'labelPrinting', noCache: true }
    },
    // 此页面需要被缓存
    {
        path: '/outpatientCharges/summary',
        component: () => import('@/xt_pages/outpatientCharges/summary'),
        name: 'OutpatientChargesSummary',
        meta: { title: 'summary', noCache: true}
    },
    {
      path: '/outpatientCharges/chargeDetailManagement',
      component: () => import('@/xt_pages/outpatientCharges/chargeDetailManagement'),
      name: 'chargeDetailManagementTwo',
      meta: { title: 'chargeDetailManagementTwo', noCache: true}
    },
    {
        path: '/outpatientCharges/incomeStatistics',
        component: () => import('@/xt_pages/outpatientCharges/incomeStatistics'),
        name: 'incomeStatistics',
        meta: { title: 'incomeStatistics', noCache: true }
    },
    // {
    //     path: '/outpatientCharges/costComparison',
    //     component: () => import('@/xt_pages/outpatientCharges/costComparison'),
    //     name: 'costComparison',
    //     meta: { title: 'costComparison', noCache: true }
    // },
    {
        path: '/outpatientCharges/summaryDetail',
        component: () => import('@/xt_pages/outpatientCharges/summaryDetail'),
        hidden: true,
        is_menu: false,
        name: 'summaryDetail',
        meta: { title: 'summaryDetail', noCache: true}
    },
    {
        path: '/outpatientCharges/treatPrint',
        component: () => import('@/xt_pages/outpatientCharges/treatPrint'),
        hidden: true,
        is_menu: false,
        name: 'outpatientChargesTreatPrint',
        meta: { title: 'outpatientChargesTreatPrint', noCache: true }
    },
    {
        path: '/outpatientCharges/print',
        component: () => import('@/xt_pages/outpatientCharges/print'),
        hidden: true,
        is_menu: false,
        name: 'outpatientChargesPrint',
        meta: { title: 'outpatientChargesPrint', noCache: true }
    },
  ]
}
