import Layout from '@/views/layout/Layout'

export default {
  path: '/stock',
  component: Layout,
  redirect: 'noredirect',
  name: 'stockManage',
  alwaysShow: true,
  meta: {
    title: 'stockManage',
    icon: 'stock',
    isChild: true
  },
  children: [
    // {
    //   path: '/stock/query',
    //   component: () => import('@/xt_pages/stock/stockQuery'),
    //   name: 'stockQuery',
    //   meta: { title: 'stockQuery', noCache: true }
    // },
    {
      path: '/stock/new/query',
      component: () => import('@/xt_pages/stock/stockNewQuery'),
      name: 'stockNewQuery',
      meta: { title: 'stockNewQuery', noCache: true }
    },

    {
      path: '/stock/in',
      component: () => import('@/xt_pages/stock/stockInOrder'),
      name: 'stockInOrder',
      meta: { title: 'stockInOrder', noCache: true }
    },
    // {
    //   path: '/stock/return',
    //   component: () => import('@/xt_pages/stock/salesReturnOrder'),
    //   name: 'salesReturnOrder',
    //   meta: { title: 'salesReturnOrder', noCache: true }
    // },
    {
      path: '/stock/out',
      component: () => import('@/xt_pages/stock/stockOutOrder'),
      name: 'stockOutOrder',
      meta: { title: 'stockOutOrder', noCache: true }
    },
    {
      path: '/stock/cancel',
      component: () => import('@/xt_pages/stock/cancelStockOrder'),
      name: 'cancelStockOrder',
      meta: { title: 'cancelStockOrder', noCache: true }
    },
    // {
    //   path: '/stock/stockModifyPrice',
    //   component: () => import('@/xt_pages/stock/stockModifyPrice'),
    //   name: 'stockModifyPrice',
    //   meta: { title: 'stockModifyPrice', noCache: true }
    // },
    {
      path: '/stock/stockModifyPricePrint',
      component: () => import('@/xt_pages/stock/stockModifyPricePrint'),
      name: 'stockModifyPricePrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockModifyPricePrint', noCache: true }
    },
    // {
    //   path: '/stock/stockDamaged',
    //   component: () => import('@/xt_pages/stock/stockDamaged'),
    //   name: 'stockDamaged',
    //   meta: { title: 'stockDamaged', noCache: true }
    // },
    {
      path: '/stock/stockDamagePrint',
      component: () => import('@/xt_pages/stock/stockDamagePrint'),
      name: 'stockModifyPricePrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockModifyPricePrint', noCache: true }
    },
    // {
    //   path: '/stock/stockWarning',
    //   component: () => import('@/xt_pages/stock/stockWarning'),
    //   name: 'stockWarning',
    //   meta: { title: 'stockWarning', noCache: true }
    // },
    {
      path: '/stock/stockInventory',
      component: () => import('@/xt_pages/stock/stockInventory'),
      name: 'stockInventory',
      meta: { title: 'stockInventory', noCache: true }
    },
    {
      path: '/stock/inventoryPrint',
      component: () => import('@/xt_pages/stock/inventoryPrint'),
      name: 'inventoryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'inventoryPrint', noCache: true }
    },

    {
      path: '/stock/inventoryDetailPrint',
      component: () => import('@/xt_pages/stock/inventoryDetailPrint'),
      name: 'inventoryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'inventoryPrint', noCache: true }
    },
    {
      path: '/stock/print_all',
      component: () => import('@/xt_pages/stock/print_all'),
      name: 'print_all',
      hidden: true,
      is_menu: false,
      meta: { title: 'print_all', noCache: true }
    },

    {
      path: '/stock/stockInventoryPrint',
      component: () => import('@/xt_pages/stock/stockInventoryPrint'),
      name: 'stockInventoryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInventoryPrint', noCache: true }
    },

    {
      path: '/stock/stockInventoryModePrint',
      component: () => import('@/xt_pages/stock/stockInventoryModePrint'),
      name: 'stockInventoryModePrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInventoryModePrint', noCache: true }
    },

    // {
    //   path: "/stock/",
    //   component: Layout,
    //   redirect: "noredirect",
    //   name: "warehouseReceipt",
    //   meta: {
    //     isChild: true,
    //     title: "warehouseReceipt"
    //   },
    //   children: [

    //   ]
    // },

    // {
    //   path: "stock/",
    //   component: Layout,
    //   redirect: "noredirect",
    //   name: "warehouseReceiptOther",
    //   meta: {
    //     isChild: true,
    //     title: "warehouseReceiptOther"
    //   },
    //   children: [
    //     {
    //       path: "/stock/in/other",
    //       component: () => import("@/xt_pages/stock/otherStockInOrder"),
    //       name: "otherStockInOrder",
    //       meta: { title: "otherStockInOrder", noCache: true }
    //     },
    //     {
    //       path: "/stock/return/other",
    //       component: () => import("@/xt_pages/stock/otherSalesReturnOrder"),
    //       name: "otherSalesReturnOrder",
    //       meta: { title: "otherSalesReturnOrder", noCache: true }
    //     },
    //     {
    //       path: "/stock/out/other",
    //       component: () => import("@/xt_pages/stock/otherStockOutOrder"),
    //       name: "otherStockOutOrder",
    //       meta: { title: "otherStockOutOrder", noCache: true }
    //     },
    //     {
    //       path: "/stock/cancel/other",
    //       component: () => import("@/xt_pages/stock/otherCancelStockOrder"),
    //       name: "otherCancelStockOrder",
    //       meta: { title: "otherCancelStockOrder", noCache: true }
    //     }
    //   ]
    // },

    {
      path: '/stock/detail',
      component: () => import('@/xt_pages/stock/stockDetailIndex'),
      name: 'stockDetail',
      meta: { title: 'stockDetail', noCache: true }
    },
    {
      path: '/stock/in/add',
      component: () => import('@/xt_pages/stock/stockInOrderAdd'),
      name: 'stockInOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInOrderAdd', noCache: true }
    },
    {
      path: '/stock/in/detail',
      component: () => import('@/xt_pages/stock/stockInDetail'),
      name: 'stockInDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInDetail', noCache: true }
    },
    {
      path: '/stock/return/detail',
      component: () => import('@/xt_pages/stock/salesReturnDetail'),
      name: 'salesReturnDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'salesReturnDetail', noCache: true }
    },
    {
      path: '/stock/return/add',
      component: () => import('@/xt_pages/stock/salesReturnOrderAdd'),
      name: 'salesReturnOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'salesReturnOrderAdd', noCache: true }
    },
    {
      path: '/stock/out/add',
      component: () => import('@/xt_pages/stock/stockOutOrderAdd'),
      name: 'stockOutOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockOutOrderAdd', noCache: true }
    },
    {
      path: '/stock/out/detail',
      component: () => import('@/xt_pages/stock/stockOutDetail'),
      name: 'stockOutDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockOutDetail', noCache: true }
    },
    {
      path: '/stock/cancel/add',
      component: () => import('@/xt_pages/stock/cancelStockOrderAdd'),
      name: 'cancelStockOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelStockOrderAdd', noCache: true }
    },
    {
      path: '/stock/cancel/detail',
      component: () => import('@/xt_pages/stock/cancelStockDetail'),
      name: 'cancelStockDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelStockDetail', noCache: true }
    },
    {
      path: '/stock/config',
      component: () => import('@/xt_pages/stock/index'),
      name: 'config',
      meta: { title: 'config', noCache: true }
    },
    {
      path: '/stock/test',
      component: () => import('@/xt_pages/stock/test'),
      name: 'test',
      meta: { title: 'test', noCache: true }
    },
    {
      path: '/stock/print',
      component: () => import('@/xt_pages/stock/detail/print'),
      hidden: true,
      is_menu: false,
      name: 'stock_print',
      meta: {
        title: '库存打印',
        noCache: true
      }
    },
    {
      path: '/stock/print/one',
      component: () => import('@/xt_pages/stock/detail/printOne'),
      hidden: true,
      is_menu: false,
      name: 'stock_print_one',
      meta: {
        title: '库存打印',
        noCache: true
      }
    },
    {
      path: '/stock/print/two',
      component: () => import('@/xt_pages/stock/detail/printTwo'),
      hidden: true,
      is_menu: false,
      name: 'stock_print_two',
      meta: {
        title: '库存打印',
        noCache: true
      }
    },
    {
      path: '/stock/user/detail',
      component: () => import('@/xt_pages/stock/stockUserDetail'),
      name: 'user_detail',
      hidden: true,
      is_menu: false,
      meta: { title: 'user_detail', noCache: true }
    },

    {
      path: '/stock/drugprint',
      component: () => import('@/xt_pages/stock/drugs/drugPrint'),
      hidden: true,
      is_menu: false,
      name: 'stock_print',
      meta: {
        title: '库存打印',
        noCache: true
      }
    },
    {
      path: '/stock/drugcancelprint',
      component: () => import('@/xt_pages/stock/drugs/drugCancelOurderPrint'),
      hidden: true,
      is_menu: false,
      name: 'stock_print',
      meta: {
        title: '退库打印',
        noCache: true
      }
    },
    {
      path: '/stock/drugoutorderprint',
      component: () => import('@/xt_pages/stock/drugs/drugOutOrderPrint'),
      hidden: true,
      is_menu: false,
      name: 'stock_print',
      meta: {
        title: '出库打印',
        noCache: true
      }
    },
    {
      path: '/stock/drugcanceldetaiprint',
      component: () => import('@/xt_pages/stock/drugs/drugCancelDetailPrint'),
      hidden: true,
      is_menu: false,
      name: 'stock_print',
      meta: {
        title: '出库打印',
        noCache: true
      }
    },

    {
      path: '/stock/drugStockInOrderDetailPrint',
      component: () => import('@/xt_pages/stock/drugs/drugStockInOrderDetailPrint'),
      hidden: true,
      is_menu: false,
      name: 'drugInOrderDetailPrint',
      meta: {
        title: '药品入库单打印',
        noCache: true
      }
    },
    {
      path: '/stock/drugStockOutOrderDetailPrint',
      component: () => import('@/xt_pages/stock/drugs/drugStockOutOrderDetailPrint'),
      hidden: true,
      is_menu: false,
      name: 'drugOutOrderDetailPrint',
      meta: {
        title: '药品入库单打印',
        noCache: true
      }
    },

    {
      path: '/stock/drugQueryPrint',
      component: () => import('@/xt_pages/stock/drugs/drugQueryPrint'),
      hidden: true,
      is_menu: false,
      name: 'drugQueryPrint',
      meta: {
        title: '药品入库单打印',
        noCache: true
      }
    },
    {
      path: '/stock/cancel/cancelstockorderedit',
      component: () => import('@/xt_pages/stock/cancelStockOrderEdit'),
      hidden: true,
      is_menu: false,
      name: 'drugQueryPrint',
      meta: {
        title: '耗材退库打印',
        noCache: true
      }
    },

    {
      path: '/stock/drugs/cancelstockorderprint',
      component: () => import('@/xt_pages/stock/cancelStockOrderPrint'),
      hidden: true,
      is_menu: false,
      name: 'stock_print',
      meta: {
        title: '退库打印',
        noCache: true
      }
    },
    {
      path: '/stock/inventoryTransfer/Addtrans',
      component: () => import('@/xt_pages/stock/inventoryTransfer/Addtrans'),
      hidden: true,
      is_menu: false,
      name: 'Addtrans',
      meta: {
        title: '新增调拨',
        noCache: true
      }
    },

    {
      path: '/stock/inventoryTransfer/transDetails',
      component: () => import('@/xt_pages/stock/inventoryTransfer/transDetails'),
      hidden: true,
      is_menu: false,
      name: 'Addtrans',
      meta: {
        title: '调拨详情',
        noCache: true
      }
    },

    {
      path: '/stock/inventoryTransfer/transedit',
      component: () => import('@/xt_pages/stock/inventoryTransfer/transEdit'),
      hidden: true,
      is_menu: false,
      name: 'transEdit',
      meta: {
        title: '编辑调拨',
        noCache: true
      }
    },
    {
      path: '/good/new/query/print',
      component: () => import('@/xt_pages/stock/query/goodNewQueryPrint'),
      name: 'goodNewQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'goodNewQueryPrint', noCache: true }
    },
    {
      path: '/purchase/stock/query/print',
      component: () => import('@/xt_pages/stock/query/purchaseStockQueryPrint'),
      name: 'purchaseStockQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'purchaseStockQueryPrint', noCache: true }
    },
    {
      path: '/purchase/new/stock/query/print',
      component: () => import('@/xt_pages/stock/query/purchaseNewStockQueryPrint'),
      name: 'purchaseNewStockQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'purchaseNewStockQueryPrint', noCache: true }
    },
    {
      path: '/expiry/date/query/print',
      component: () => import('@/xt_pages/stock/query/expiryDateQueryPrint'),
      name: 'expiryDateQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'expiryDateQueryPrint', noCache: true }
    },
    {
      path: '/patient/query/print',
      component: () => import('@/xt_pages/stock/query/patientQueryPrint'),
      name: 'patientQuery',
      hidden: true,
      is_menu: false,
      meta: { title: 'patientQuery', noCache: true }
    },
    {
      path: '/drugs/purchase/query/print',
      component: () => import('@/xt_pages/stock/drugs/components/purchaseDrugQueryPrint'),
      name: 'purchaseDrugQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'purchaseDrugQueryPrint', noCache: true }
    },
    {
      path: '/drugs/purchase/new/query/print',
      component: () => import('@/xt_pages/stock/drugs/components/purchaseNewDrugQueryPrint'),
      name: 'purchaseDrugNewQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'purchaseDrugNewQueryPrint', noCache: true }
    },
    {
      path: '/drugs/expiry/date/query/print',
      component: () => import('@/xt_pages/stock/drugs/components/expiryDateDrugQueryPrint'),
      name: 'expiryDateDrugQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'expiryDateDrugQueryPrint', noCache: true }
    },
    {
      path: '/drugs/patient/print',
      component: () => import('@/xt_pages/stock/drugs/components/drugPatientQueryPrint'),
      name: 'drugPatientQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugPatientQueryPrint', noCache: true }
    },
    {
      path: '/drugs/query/print',
      component: () => import('@/xt_pages/stock/drugs/components/drugQueryPrint'),
      name: 'drugQueryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugQueryPrint', noCache: true }
    },

    {
      path: '/stock/print_damage',
      component: () => import('@/xt_pages/stock/print_damage'),
      name: 'print_damage',
      hidden: true,
      is_menu: false,
      meta: { title: 'print_damage', noCache: true }
    },

    {
      path: '/stock/drug_damage/print',
      component: () => import('@/xt_pages/stock/drug_damage_print'),
      name: 'drug_damage_print',
      hidden: true,
      is_menu: false,
      meta: { title: 'drug_damage_print', noCache: true }
    },

  ]
}
